From f2eb3e70572be2f3880a6fd7529a950007ecc7bf Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 28 2020 06:51:23 +0000
Subject: [PATCH 706/2232] Add cxx::String and cxx::Vector aliases


---

diff --git a/src/lib.rs b/src/lib.rs
index bbe8788..5210940 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -402,6 +402,20 @@ pub use cxxbridge_macro::bridge;
 /// [`ExternType`]: trait.ExternType.html
 pub use cxxbridge_macro::type_id;
 
+/// Synonym for `CxxString`.
+///
+/// To avoid confusion with Rust's standard library string you probably
+/// shouldn't import this type with `use`. Instead, write `cxx::String`, or
+/// import and use `CxxString`.
+pub type String = CxxString;
+
+/// Synonym for `CxxVector`.
+///
+/// To avoid confusion with Rust's standard library vector you probably
+/// shouldn't import this type with `use`. Instead, write `cxx::Vector<T>`, or
+/// import and use `CxxVector`.
+pub type Vector<T> = CxxVector<T>;
+
 // Not public API.
 #[doc(hidden)]
 pub mod private {

